using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
    public interface ISupplyDocLogic
    {
        List<SupplyDocViewModel>? ReadList(SupplyDocSearchModel? model);
        SupplyDocViewModel? ReadElement(SupplyDocSearchModel model);
        bool Create(SupplyDocBindingModel model);
        bool Update(SupplyDocBindingModel model);
        bool Delete(SupplyDocBindingModel model);
    }
}
